| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiConfig.ControlFlow.line Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.line:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.line:
[legend]

## Public Member Functions
def | __init__ (self, name, item)
def | __repr__ (self)

## Public Attributes
| name
| item

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Detailed Description

Definition at line 178 of file ControlFlow.py.

## Constructor & Destructor Documentation

def GaudiConfig.ControlFlow.line.__init__ | ( |  | self,
|  |  | name,
|  |  | item
| ) |  |

Definition at line 179 of file ControlFlow.py.

179 def __init__(self, name, item):
180 self.name = name
181 self.item = item
182
GaudiConfig.ControlFlow.line.item
item
Definition: ControlFlow.py:181
GaudiConfig.ControlFlow.line.__init__
def __init__(self, name, item)
Definition: ControlFlow.py:179
GaudiConfig.ControlFlow.line.name
name
Definition: ControlFlow.py:180

## Member Function Documentation

def GaudiConfig.ControlFlow.line.__repr__ | ( |  | self | ) |

Definition at line 183 of file ControlFlow.py.

183 def __repr__(self):
184 return "line(%r, %r)" % (self.name, self.item)
185
GaudiConfig.ControlFlow.line.item
item
Definition: ControlFlow.py:181
GaudiConfig.ControlFlow.line.name
name
Definition: ControlFlow.py:180
GaudiConfig.ControlFlow.line.__repr__
def __repr__(self)
Definition: ControlFlow.py:183

def GaudiConfig.ControlFlow.line._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Definition at line 186 of file ControlFlow.py.

186 def _visitSubNodes(self, visitor):
187 self.item.visitNode(visitor)
188
189
GaudiConfig.ControlFlow.line._visitSubNodes
def _visitSubNodes(self, visitor)
Definition: ControlFlow.py:186

## Member Data Documentation

GaudiConfig.ControlFlow.line.item

Definition at line 181 of file ControlFlow.py.

GaudiConfig.ControlFlow.line.name

Definition at line 180 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py